NativeSQLQueryJoinReturn (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi.sql
Class NativeSQLQueryJoinReturn

    java.lang.Object
      org.hibernate.engine.query.spi.sql.NativeSQLQueryNonScalarReturn
          org.hibernate.engine.query.spi.sql.NativeSQLQueryJoinReturn

All Implemented Interfaces:
  Serializable, NativeSQLQueryReturn

    public class NativeSQLQueryJoinReturn

extends NativeSQLQueryNonScalarReturn

Represents a return defined as part of a native sql query which names a fetched role.

See Also:
  Serialized Form

Constructor Summary
`NativeSQLQueryJoinReturn(String alias, String ownerAlias, String ownerProperty, Map propertyResults, LockMode lockMode)` Construct a return descriptor representing some form of fetch.

Method Summary
`boolean` | `equals(Object o)`
`String` | `getOwnerAlias()` Retrieve the alias of the owner of this fetched association.
`String` | `getOwnerProperty()` Retrieve the property name (relative to the owner) which maps to the association to be fetched.
`int` | `hashCode()`

Methods inherited from class org.hibernate.engine.query.spi.sql.NativeSQLQueryNonScalarReturn
`getAlias, getLockMode, getPropertyResultsMap`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeSQLQueryJoinReturn

    public NativeSQLQueryJoinReturn(String alias,
                                    String ownerAlias,
                                    String ownerProperty,
                                    Map propertyResults,
                                    LockMode lockMode)

  Construct a return descriptor representing some form of fetch.

  Parameters:
    `alias` - The result alias
    `ownerAlias` - The owner's result alias
    `ownerProperty` - The owner's property representing the thing to be fetched
    `propertyResults` - Any user-supplied column->property mappings
    `lockMode` - The lock mode to apply

Method Detail

### getOwnerAlias

    public String getOwnerAlias()

  Retrieve the alias of the owner of this fetched association.

  Returns:
    The owner's alias.

### getOwnerProperty

    public String getOwnerProperty()

  Retrieve the property name (relative to the owner) which maps to the association to be fetched.

  Returns:
    The property name.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `NativeSQLQueryNonScalarReturn`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `NativeSQLQueryNonScalarReturn`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.